# loki.types.derived_type module

Representation of a derived type with local symbol table.

class DerivedType(name=None, typedef=None)

  Bases: `DataType`

  Representation of derived data types that may have an associated `TypeDef`

  Please note that the typedef attribute may be of `TypeDef` or `BasicType.DEFERRED`, if the associated type definition is not available.

  Parameters:

    - name (str, optional) – The name of the derived type. Can be omitted if `typedef` is provided

    - typedef (`TypeDef`, optional) – The definition of the derived type. Takes precedence over `name`

  property name